/*
 * BoundInBoxAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef BOUNDINBOXACTION_HPP_
#define BOUNDINBOXACTION_HPP_

#include "Actions/Action.hpp"

class WorldBoundInBoxAction : public Action {
public:
  WorldBoundInBoxAction();
  virtual ~WorldBoundInBoxAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Dialog * createDialog();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* BOUNDINBOXACTION_HPP_ */
